import 'package:flutter/material.dart';
import 'package:tivio_sdk/tivio.dart';

class ScreensPage extends StatelessWidget {
  final Tivio _tivio;

  ScreensPage(this._tivio);

  @override
  Widget build(BuildContext context) {
    var screen = _tivio.subscribeToScreen(screenId: 'screen-1');

    screen.stream.listen((event) {
      print('screen id: ${event.id}, name: ${event.name}, description: ${event.description}');

      event.rows.forEach((row) {
        print('---');
        print('row id: ${row.id}, name: ${row.name}, description: ${row.description}, itemComponent: ${row.itemComponent}, rowComponent: ${row.rowComponent}');

        var items = _tivio.subscribeToItemsInRow(rowId: row.id);
        items.stream.listen((event) {
          event.records.forEach((record) {
            if (record.type == TivioRowItemType.Video && record.video != null) {
              print('video id: ${record.video.id}, name: ${record.video.name}, url: ${record.video.url}');
            }

            if (record.type == TivioRowItemType.Tag && record.tag != null) {
              print('tag: ${record.tag.name}');
            }
          });
        });
      });
    });

    return Scaffold(
      appBar: AppBar(
        title: Text('Screens test page'),
      ),
    );
  }
}
